Skip to content

Create a new LocationGroup

Request

Can be used to create a new LocationGroup

Security
Authorization
Body*/*required

LocationGroup to create

namestringrequired

Name (String) of the LocationGroup

statusstring

Status of the LocationGroup, defaults to "ACTIVE", supported values: ["ACTIVE"].

Enum:"ACTIVE""DELETED"
locationsArray of integers, (int64)

List of location IDs (Long) that shall be assigned to the new LocationGroup.

usersArray of integers, (int64)

List of user IDs (Long) that shall be assigned to the new LocationGroup.

curl -i -X POST \
  https://uberall.com/api/location-groups \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: */*' \
  -d '{
    "name": "string",
    "status": "ACTIVE",
    "locations": [
      0
    ],
    "users": [
      0
    ]
  }'

Responses

LocationGroup created successfully

Body*/*
statusstringrequired
Enum:"SUCCESS""PENDING""QUOTA_LIMIT_EXCEED""NOT_AUTHORIZED""FORBIDDEN""BAD_ACCESS_TOKEN""BAD_PRIVATE_KEY""BAD_PUBLIC_KEY""MISSING_PARAMETER""INVALID_PARAMETER"
messagestring

(optional) Holds further information about the response

warningsArray of strings

(optional) Holds further warnings

responseobjectrequired

The actual response object of the response

Response
{
  "status": "SUCCESS",
  "message": "string",
  "warnings": [
    "string"
  ],
  "response": {
    "id": 0,
    "lastUpdated": "2019-08-24T14:15:22Z",
    "name": "string",
    "status": "ACTIVE",
    "creator": 0,
    "salesPartner": 0,
    "locationsCount": 0,
    "locations": [
      {
        "id": 1,
        "name": "Location 1",
        "status": "ACTIVE"
      }
    ],
    "users": [
      {
        "id": 1,
        "email": "jan.didschuneit@uberall.com",
        "firstName": "Jan",
        "lastName": "Didschuneit",
        "role": "ADMIN",
        "status": "VERIFIED"
      }
    ]
  }
}